# Create email address

This function creates an email address.

Important:

   When you disable the Receive Mail* role, the system disables this function.
   We recommend that you use the UAPI UserManager::create_user function to create an email address instead of this function. This function is incompatible with the Reset Password* feature.
  * You must URI-encode values when using the CLI.

Endpoint: GET /Email/add_pop
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `email` (any, required)
    The email account username or address.
* A valid email account username. For example, user to create user@example.com.
* A valid email address.

Note:

  You cannot enter cpanel as an account name when you create an email account.
    Example: "user"

  - `password` (string, required)
    The email account password.
    Example: "123456luggage"

  - `domain` (string)
    The email account's domain. For example, example.com to create user@example.com.
    Example: "example.com"

  - `password_hash` (string)
    The account's password hash.

Notes:

  * You can use this parameter instead of the password parameter. However, you cannot use both password and password_hash parameters in the same request.
  * You can find your server's hash type in the /etc/sysconfig/authconfig file.
    Example: "$6$1sOyHP5ZDYp3pGUz$R0TSgfPRHfDjT5PP5RJGv39FhiGTNNPvM7IFpCBjXijMmlMZk9yI8T3LqGuntc9fdKb5eX.lGL7wBS9e4DAWn/"

  - `quota` (any)
    The maximum amount of disk space that the new email account may use.
* A positive integer that represents the maximum amount of disk space, in megabytes (MB).
* 0 or unlimited — The account possesses unlimited disk space.

Note:

  * The positive integer value cannot exceed the maximum email quota.
  * The 0 or unlimited value is only available to users without a maximum email account quota.
    Example: 500

  - `send_welcome_email` (integer)
    Whether to send client configuration instructions to the account.
* 1 — Send the instructions.
* 0 — Do not send the instructions.
    Enum: 0, 1

  - `skip_update_db` (integer)
    Whether to skip the update of the email accounts database's cache.
* 1 — Skip the update.
* 0 — Perform the update.
    Enum: 0, 1

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "add_pop"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (string)
    The email address. The email account username, a plus character (+), and the email account domain.
    Example: "user+example.com"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


